Bug 498615 - 2 memory leaks in MIME processing code
2 memory leaks in MIME processing code
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
http://developer.pidgin.im/ticket/9088
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 10:09 EDT by Stefan Becker
Modified: 2009-06-30 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 12:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2009-05-01 10:09:59 EDT
Description of problem:

During memory leak hunting for the pidgin-sipe plugin I discovered 2 memory leaks in the libpurple MIME processing code. At least for that plugin these code paths are used a lot.

The URL points to the upstream bug report which contains a patch for the issue.

Version-Release number of selected component (if applicable):
pidgin-2.5.5-1.fc11.i586

How reproducible:
always

Additional info:

This probably affects all pidgin versions in Fedora & RHEL. Please consider to apply the patch also for those releases.
Comment 1 Stefan Becker 2009-05-01 15:22:53 EDT
The patch has already been integrated into the 2.5.6 branch:

  <http://developer.pidgin.im/viewmtn/revision/info/05325ad06b473a5932ac8cecbf0f96297eb86246>

So depending on the release date this bug might just be fixed with the next version jump.
Comment 2 Bug Zapper 2009-06-09 10:56:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Stefan Becker 2009-06-30 12:54:06 EDT
pidgin-2.5.6 update has already been pushed for Fedora 9, 10 & 11.

Note You need to log in before you can comment on or make changes to this bug.